:root {
    --primary-dark: #2c1338;
    --accent-yellow: #fff3b1;
    --accent-purple: #60277c;
    --accent-pink: #fe938b;
    --accent-lilac:#c698ff;
    --text-light: #FFFFFF;
    --font-primary: 'Golos Text', sans-serif;   
    --font-secondary: 'Gelasio', serif;         

}



body {
    background-color: var(--primary-dark);
    font-family: var(--font-primary);
    font-weight: 200;
    color: var(--text-light);
    font-family: 'Inter', sans-serif;
    overflow-x: hidden;
    font-size: 20px;
}

/* NAVBAR */

.navbar-custom {
    padding: 1.2rem 0;
}

.nav-link {
    color: white !important;
    margin: 0 1rem;
}

.btn-demo , .btn-analisis {
    background-color: var(--accent-lilac);
    color: white;
    border-radius: 1px;
    padding: 0.6rem 1.2rem;
}

.btn-demo:hover, .btn-analisis:hover {
    background-color: #a382d8;
    transform: translateY(-3px);
    box-shadow: 0 8px 20px var(--accent-purple);
}

/* ===== NAVBAR BASE ===== */

.navbar-brand {
    font-weight: 600;
    font-size: 1.4rem;
    letter-spacing: 1px;
}
/* ===== MOBILE HEADER ===== */

.mobile-header {
    padding: 0.5rem 0;
}

#logo-mobile {
    font-weight: 600;
    font-size: 1.3rem;
    letter-spacing: 1px;
}



/* HERO */

/* ================= HERO BACKGROUND ================= */

#hero-section {
    position: relative;
    min-height: 100vh;
    background-image: url(../img/Illustration-8.png);
    background-color: var(--primary-dark);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
}

/* Overlay container */
.hero-overlay {
    position: relative;
    width: 100%;
    min-height: 100vh;
    z-index: 2;
}
/* ===== BLUR LAYER ===== */

#hero-section {
    position: relative;
    min-height: 100vh;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#hero-blur-layer {
    position: absolute;
    inset: 0;
    backdrop-filter: blur(0px);
    background: rgba(0, 0, 0, 0);
    transition: backdrop-filter 0.5s ease, background 0.5s ease;
    z-index: 1;
    pointer-events: none;
}

/* Activo */
#hero-blur-layer.active {
    backdrop-filter: blur(10px);
    background: rgba(0, 0, 0, 0.25);
}

/* Mantener bottom-right y form encima */
#hero-bottom-right,
#form-wrapper {
    position: relative;
    z-index: 3;
}

#hero-content {
    position: relative;
    z-index: 2;
}
/* ================= TOP LEFT ================= */

.hero-top-left {
    position: absolute;
    top: 10%;
    left: 5%;
    max-width: 50%;
}

#hero-title {
     font-family: var(--font-secondary);
    font-weight: 700;
    font-size: 3.5rem;
    font-weight: 600;
    line-height: 1.1;
}

#hero-highlight {
    font-family: var(--font-secondary);
    font-weight: 700;
    color: var(--accent-yellow);
}

/* ================= BOTTOM RIGHT ================= */

.hero-bottom-right {
    position: absolute;
    bottom: 10%;
    right: 5%;
    text-align: right;
    /*max-width: 600px;*/
    z-index: 3;
}

#hero-subtitle , #hero-lineup
{
    
    font-family: var(--font-primary);
    font-weight: 300;
    font-size: 1.2rem;
    opacity: 0.85;
    font-size: 1.5rem;
    font-weight: 300;
    opacity: 0.9;
}

.btn-cta {
    
    background-color: var(--accent-pink);
    font-family: var(--font-primary);
    border: none;
    padding: 0.9rem 1.8rem;
    color: #ffffff;
    border-radius: 1px;
    font-weight: 500;
    font-size: 0.95rem;
    transition: all 0.3s ease;
}

.btn-cta:hover {
    background-color: #ff7f75; 
    transform: translateY(-3px);
    box-shadow: 0 8px 20px rgba(255, 147, 138, 0.35);
}


#form-section {
    text-align: left !important;
    max-width: 900px;   
    margin-left: auto;
    margin-right: auto;
}


/* ===== SECTION DIVIDER ===== */

.section-divider {
    width: 100%;
    line-height: 0;
    position: relative;
}

.section-divider svg {
    display: block;
    width: 100%;
    height: 100px;
}

.section-divider polygon {
    fill: linear-gradient(90deg, #5B2A73, #7A3E99);
}


/* Section 2 */

#problem-section
{
    position: relative;
    min-height: 130vh;
    background-image: url(../img/bg-section2.png);
    background-color: var(--primary-dark);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
}


.section-dark
{
    background:var(--primary-dark);
    color:white;
    padding:120px 0;
}

.section-light
{
    background:#FAF6F4;
    padding:100px 0;
    color: var(--primary-dark);
}

.section-label
{
    font-family: var(--font-secondary);
    color:#ff938a;
    font-size:24px;
    margin-bottom:10px;
}

.section-title
{
    font-family: var(--font-secondary);
    font-size:48px;
    line-height:1.2;
    margin-bottom:20px;
}

.section-text
{
    font-family:var(--font-primary);
    opacity:0.9;
}
#bildo-title
{
    font-family:var(--font-secondary);
    font-size:46px;
    opacity:0.9;
}
#bildo-icon
{
    width: 80% !important;
    padding: 20px;
    margin: auto;
}
.highlight
{
    font-style: italic;
    color:#ff938a;
}

.section-divider-right
{
    width:100%;
    display:flex;
    justify-content:flex-end;
    line-height:0;
}

.section-divider-right svg
{
    width:30%;
    height:50px;
    display:block;
}

.section-divider-left
{
    width:100%;
    display:flex;
    justify-content:flex-start;
    line-height:0;
}

.section-divider-left svg
{
    width:110%;
    height:auto;
    display:block;
}

.benefit-item
{
    display:flex;
    align-items:flex-start;
    gap:50px;
    margin-bottom:40px;
    font-family: var(--font-primary);
    padding-right: 30px;
}
.section-title-benefit
{
    font-family: var(--font-secondary);
    font-weight: 700;
    font-size: 2.5rem;
    font-weight: 600;
    line-height: 1.1;
}

#benefit-1 img
{
    width:60px;
}

#benefit-2 img
{
    width:100px;
}

#benefit-3 img
{
    width:120px;
}

.audience-list{
list-style:none;
padding:0;
}

.audience-list li{
margin-bottom:10px;
}

/* ================= FORM SLIDE ================= */

#form-wrapper {
    overflow: hidden;
    width: 500px;
    position: relative;
    z-index: 4; /* encima de todo */
}
#hero-bottom-right {
    position: absolute;
    bottom: 10%;
    right: 5%;
    z-index: 3; /* encima del blur */
}


#form-section {

    background-image: url("images/hero-desktop.jpg");
    background-color: #4A1E59;
    padding: 0 2rem;
    border-radius: 12px;
    margin-top: 0;
    max-height: 0;
    opacity: 0;
    transform: translateY(-10px);
    transition: 
        max-height 0.5s ease,
        opacity 0.4s ease,
        transform 0.4s ease,
        margin-top 0.3s ease,
        padding 0.3s ease;
}

/* ACTIVE STATE */
#form-section.active {
    padding: 2rem;
    margin-top: 2rem;
    max-height: 605px;
    opacity: 1;
    transform: translateY(0);
     overflow-y: auto;
}

.section-audience
{
    color:#FAF6F4;
    padding:120px 0;
    position:relative;
}

/* BLOQUE IZQUIERDO */

.audience-left
{
    background:#E9E6E4;
    padding:26px 90px 112px 100px;
    clip-path:polygon(
    0 0,
    75% 0,
    90% 35%,
    90% 70%,
    0 70%
    );
}

#audience-title
{
    font-family:var(--font-secondary);
    font-size:45px;
    line-height:1.1;
    color:var(--primary-dark);
}

.alinear-item
{
    text-align: end;
}

/* LISTAS */

.audience-right
{
    padding-left:20px;
}

.audience-list
{
    list-style:none;
    padding:0;
    margin:0;
}

.audience-list li
{
    margin-bottom:18px;
    font-size:18px;
    position:relative;
    padding-left:22px;
}

/* PUNTOS */

.audience-list li::before
{
    content:"";
    width:8px;
    height:8px;
    background:#b995ff;
    border-radius:50%;
    position:absolute;
    left:0;
    top:10px;
}


#process-graphic img
{
    min-width: 300px;
    max-width: 430px;

}

#benefits-section
    {
        padding: 20px 20px 0px 20px;
    }


.section-footer-brand{
        
        padding:10px 0 60px 0;
        position:relative;
        overflow:hidden;
       
    }

.section-footer-brand img{
     max-width: 400px;
        min-width: 300px;
}

/* RESPONSIVE */

@media (max-width: 768px) {
    #hero-title {
        font-size: 2.2rem;
    }

    #hero-section {
        text-align: center;
    }
}

/* ===== DESKTOP LAYOUT (≥992px) ===== */

@media (min-width: 992px) {

    .navbar-inner {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 2.5rem;
    }

    .navbar-left,
    .navbar-right {
        display: flex;
        align-items: center;
        gap: 1.8rem;
    }

    .navbar-left {
        margin-right: auto;
    }

    .navbar-right {
        margin-left: auto;
    }

    .nav-cta {
        margin-left: 2rem;
    }


    /* Ocultar mobile header en desktop */
    .mobile-header {
        display: none !important;
    }

}

/* ===== MOBILE RESET (<992px) ===== */

@media (max-width: 992px) {

    .navbar-inner {
        display: block;
    }

    .navbar-left,
    .navbar-right {
        display: block;
    }

    .nav-cta {
        margin-top: 1rem;
    }

    /* ===== HERO SECTION RESPONSIVE =====*/

    
    #hero-section {
        display: block;
        min-height: auto;
        padding: 4rem 0 2rem 0;
    }

    .hero-overlay {
        position: relative;
        display: flex;
        flex-direction: column;
    }

    .hero-top-left {
        position: relative;
        top: auto;
        left: auto;
        max-width: 100%;
        padding: 0 1.5rem;
        margin-bottom: 2rem;
    }

    #hero-title {
        font-size: 2.5rem;
    }

    #hero-bottom-right {
        position: relative;
        bottom: auto;
        right: auto;
        text-align: center;
        max-width: 100%;
        padding: 0 1.5rem;
    }

    /* ===== MOBILE HERO IMAGE ===== */

    .hero-mobile-image {
        padding: 0 1.5rem;
        margin-bottom: 2rem;
        text-align: center;
    }

    .hero-mobile-image img {
        width: 100%;
        max-width: 420px;
    }

    #hero-section {
        background-image: none !important;
        background-color: var(--primary-dark);
    }
    #form-wrapper {
        width: auto;
        max-width: 450px !important;       
    }


    #audience-title{
        text-align: center;
        font-size:42px;
    }

    .audience-left{
        clip-path:none;
        padding:60px 40px 40px 40px;
        margin-bottom:40px;
    }

    .audience-right{
        padding-left:40px;
    }

    .problem-title{
        font-size:36px;
    }

    .process-title{
         font-size:30px;
    }

    .bildo-title{
        font-size:30px;
    }

    .audience-title{
        font-size:32px;
    }

    .benefit-item{

        text-align: center !important;
        flex-direction:column;
        align-items: center;
    }

    

    #benefit-2 img,#benefit-1 img, #benefit-3 img
    {
        text-align: center;
    }

    .problem-city{
        margin-top:50px;
    }

    #bildo-title, #bildo-description, .section-title, .section-text,.section-label
    {
        text-align: center;
        padding-top: 20px;
    }
    #problem-section{
        min-height: 180vh;
    }
    

    .alinear-item
    {
        text-align: center;
        align-self: anchor-center;
    }
   

}
@media (max-width: 768px) {
    .section-divider svg {
        height: 70px;
    }
}
